Package io.vertx.rxjava3.core.net.endpoint

## Class Endpoint

- java.lang.Object
- - io.vertx.rxjava3.core.net.endpoint.Endpoint

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Endpoint
      extends Object
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Endpoint>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Endpoint​(Endpoint delegate)` |
    `Endpoint​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Endpoint` | `getDelegate()` |
    `int` | `hashCode()` |
    `static Endpoint` | `newInstance​(Endpoint arg)` |
    `ServerEndpoint` | `selectServer()` | Select a server.
    `ServerEndpoint` | `selectServer​(String key)` | Select a node, using a routing `key`
    `List<ServerEndpoint>` | `servers()` | The servers capable of serving requests for this endpoint.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Endpoint> __TYPE_ARG

  - ### Constructor Detail

    - #### Endpoint

          public Endpoint​(Endpoint delegate)

    - #### Endpoint

          public Endpoint​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Endpoint getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### servers

          public List<ServerEndpoint> servers()

      The servers capable of serving requests for this endpoint.
      Returns:

    - #### selectServer

          public ServerEndpoint selectServer()

      Select a server.
      Returns:
        the selected server

    - #### selectServer

          public ServerEndpoint selectServer​(String key)

      Select a node, using a routing `key`
      Parameters:
        `key` - the routing key
      Returns:
        the selected server

    - #### newInstance

          public static Endpoint newInstance​(Endpoint arg)